package com.yiqi.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.system.domain.SysSms;

/**
 * 短信Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-03
 */
public interface SysSmsMapper extends BaseMapper<SysSms> {
    /**
     * 查询短信
     *
     * @param id 短信主键
     * @return 短信
     */
    public SysSms selectSysSmsById(Long id);

    /**
     * 查询短信列表
     *
     * @param sysSms 短信
     * @return 短信集合
     */
    public List<SysSms> selectSysSmsList(SysSms sysSms);

    /**
     * 新增短信
     *
     * @param sysSms 短信
     * @return 结果
     */
    public int insertSysSms(SysSms sysSms);

    /**
     * 修改短信
     *
     * @param sysSms 短信
     * @return 结果
     */
    public int updateSysSms(SysSms sysSms);

    /**
     * 删除短信
     *
     * @param id 短信主键
     * @return 结果
     */
    public int deleteSysSmsById(Long id);

    /**
     * 批量删除短信
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysSmsByIds(Long[] ids);
}
